<ul class='navbar-nav my-0 navbar-buttons menu-user-item-list' ...attributes {{on 'mouseleave' this.hideHoverDropdown}}>
  <li class='nav-item nav-item-level-1 {{if (eq this.showIndex "user") "show-dropdown"}}'
    {{on 'mouseenter' (fn this.showHoverDropdown 'user')}}>
    <div class='menu-item'>
      <button class='btn text-nowrap {{@textColorClass}} {{if @btnClass @btnClass "btn-link nav-link"}}' type='button'
        {{on 'click' (fn this.showClickDropdown 'user')}}>
        {{#if this.user.isAdmin}}
          <FaIcon @icon='user-tie' />
        {{/if}}

        {{this.user.profileData.fullName}}

        <div class='icon float-end'>
          <FaIcon @icon='angle-down' @size='2' />
          <FaIcon @icon='angle-up' @size='2' />
        </div>
      </button>
    </div>

    <div
      class='dropdown-menu-list p-0 {{if @styleDropDown @bgColorClass}} {{if @styleDropDown @shadowClass}} {{if @styleDropDown @borderColorClass}}'
      {{on 'mouseenter' (fn this.showHoverDropdown 'user')}} {{on 'mouseleave' this.hideHoverDropdown}}>
      {{#each this.userMenu as |item|}}
        <MenuItem @space={{@space}} @value={{item}} class='nav-link {{@textColorClass}}' />
      {{/each}}

      <div class='menu-item'>
        <button class='btn btn-link nav-link text-nowrap text-danger' type='button' {{on 'click' this.handleSignOut}}>
          {{t 'sign out'}}
        </button>
      </div>
    </div>
  </li>
</ul>